"rfglmMqleDiffQuasiDevB" <-
function(mu, mu0, y, ni, w.x, tcc){
  ##
  f.cnui <- function(u, y, ni, tcc)
    {
      ## First part: nui
      pr <- u/ni
      Vmu <- pr * (1 - pr)  ## = binomial()$variance
      residP <- (y-pr)*sqrt(ni/Vmu)
      nui <- pmax(-tcc,pmin(residP,tcc)) 

      ## Second part: Enui
      H <- floor(u-tcc*sqrt(ni*Vmu))  
      K <- floor(u+tcc*sqrt(ni*Vmu))
      ## Actually, floor is not needed because pbinom() can cope
      ## with noninteger values in the argument q!
      ## what follows is similar to rfglm.Mqle.EpsiB except a 
      ## different vectorisation  
      h1 <- (if(ni==1) as.numeric(- (H < 0) + (K >= 1) ) * sqrt(Vmu)
      else 
             (pbinom(K-1,1,pr) - pbinom(H-1,ni-1,pr) 
              - pbinom(K,ni,pr) + pbinom(H,ni,pr)) * pr * sqrt(ni/Vmu))
      ## pmax was needed to get numeric returns from pbinom
      ##
      Enui <- (tcc*(1 - pbinom(K,ni,pr) - pbinom(H,ni,pr)) + h1) 

      return((nui - Enui) / sqrt(ni*Vmu))
    }
      
  ##
  nobs <- length(mu)
  QMi <- rep(0, nobs)
  ## Numerical integrations
  for(i in 1:nobs)
    { 
      QMi[i] <- integrate(f.cnui, y=y[i], ni=ni[i], tcc=tcc, subdivisions=200,
                           lower=mu[i]*ni[i], upper=mu0[i]*ni[i])$value
    }  
  ## robust quasi-deviance
  ## -2*(sum(QMi1)-sum(QMi2))  ## my intrpretation of (4) and (5)
  ## -2*(sum(QMi1)-sum(QMi2)/nobs)  ## Eva's interpretation of (4) and (5)
  ## According to my interpretation
  -2*sum(QMi*w.x)
}

