"rfglmMqleDiffQuasiDevPois" <-
function(mu, mu0, y, ni, w.x, tcc){
  ##
  f.cnui <- function(u, y, ni, tcc)
    {
      ## First part: nui
      Vmu <- u  ## = poisson()$variance
      residP <- (y-u)/sqrt(Vmu)
      nui <- pmax(-tcc,pmin(residP,tcc)) 

      ## Second part: Enui
      H <- floor(u-tcc*sqrt(Vmu))  
      K <- floor(u+tcc*sqrt(Vmu))
      ## what follows is similar to rfglm.Mqle.Epsipois except a 
      ## different vectorisation  
      h1 <- u/sqrt(Vmu)*(dpois(H,u)- dpois(K,u))     
      Enui <- tcc*(1 - ppois(K,u) - ppois(H,u)) + h1

      return((nui - Enui) / sqrt(Vmu))
    }
      
  ##
  nobs <- length(mu)
  QMi <- rep(0, nobs)
  ## Numerical integrations
  for(i in 1:nobs)
    QMi[i] <- integrate(f.cnui, y=y[i], ni=ni[i], tcc=tcc,
                        lower=mu[i], upper=mu0[i])$value
  
  ## robust quasi-deviance
  ## -2*(sum(QMi1)-sum(QMi2))  ## my intrpretation of (4) and (5)
  ## -2*(sum(QMi1)-sum(QMi2)/nobs)  ## Eva's interpretation of (4) and (5)
  ## According to my interpretation
  -2*sum(QMi*w.x)
}

