"summary.rfglm" <-
function (object, correlation=FALSE, symbolic.cor=FALSE, ...) 
{
  dispersion <- 1
  coefs <- object$coefficients
  covmat <- object$cov
  dimnames(covmat) <- list(names(coefs), names(coefs))
  var.cf <- diag(covmat)
  s.err <- sqrt(var.cf)
  zvalue <- coefs/s.err
  dn <- c("Estimate", "Std.Error")
  
  pvalue <- 2 * pnorm(-abs(zvalue))
  coef.table <- cbind(coefs, s.err, zvalue, pvalue)
  dimnames(coef.table) <- list(names(coefs), c(dn, "z-value",
                                               "Pr(>|z|)"))
  ans <- c(object[c("call", "terms", "family", "iter", "method")], 
           list(deviance=NULL, df.residual=NULL, null.deviance=NULL,
                df.null=NULL, deviance.resid=NULL, coefficients=coef.table, 
                dispersion=dispersion, df=NULL , cov.unscaled=covmat))
  if (correlation) {
    dd <- sqrt(diag(covmat))
    ans$correlation <- covmat/outer(dd, dd)
    ans$symbolic.cor <- symbolic.cor
  }
  class(ans) <- "summary.rfglm"
  return(ans)
}

