\name{modsel.rflm}
\alias{modsel.rflm}

\title{Robust Testing for Model Simplification Based on Multiple
  Coefficients of rflm() Object} 
\description{
  Compute a robust Wald-type or deviance-type Test, i.e., a robust test
  for multiple coefficients of an \code{\link[MASS]{rlm}} object
  obtained from \code{rflm}.
}

\usage{
modsel.rflm(object, reduced.model, test = c("Wald", "Deviance"))
}

\arguments{
  \item{object}{object of class \code{rlm}, usually, a result of a call
    to \code{rflm}.}  
  \item{reduced.model}{a symbolic description of the reduced model
    (cf. argument \code{formula} in \code{\link{lm}}). }
  \item{test}{a character string specifying the test statistic to be used.
          Can be one of \code{"Wald"}-type or \code{"Deviance"}-type ,
	  with partial matching allowed.}
}

\value{
  Basically, an object of class \code{"htest"}, hence with the standard print
  methods for hypothesis tests.  This is basically a list with components
  \item{statistic}{the test statistic, according to ???}% FIXME
  \item{df}{numerator and denominator degrees of freedom.}
  \item{data.name}{extracted from input \code{object}.}
  \item{alternative}{\code{"two.sided"}, always.}
  \item{p.value}{the P-value, using an F-test on \code{statistic} and
    \code{df[1:2]}.}
}

%%\references{ ~put references to the literature/web site here ~ }
\author{Andreas Ruckstuhl}
%%\note{ ~~further notes~~ }
%%
%% ~Make other sections like Warning with \section{Warning }{....} ~

\seealso{\code{\link{modsel.rfglm}}, \code{\link[sfsmisc]{f.robftest}}}
\examples{
## to do

}
\keyword{robust}
\keyword{htest}
